Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Apr 2013 20:09:50 +0300

> Date: Wed, 24 Apr 2013 08:38:43 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  >> When you remove the scrollbars the Emacs frame shrinks.  When you
>  >> remove the fringes it does not shrink.  Yet, when changing frame
>  >> sizes we are expected to handle fringes and scrollbars alike: They
>  >> are no text, they are no windows and therefore should not be counted
>  >> in the width of the frame's text area.
>  >
>  > I think this peculiar handling of the fringes is because of the desire
>  > to count the display margins, if they are present, as part of the text
>  > area.
> 
> Then this is a bad desire.

Could be, but if we want to change that, we need to come up with some
useful idea of how to deal with a situation where you have the fringe
between the display margins and the rest of the text area.  Surely, in
this case you must include the display margins in the window
dimensions, but OTOH the fringes separate the window into 2 disjoint
areas.